## libetnaviv-headers 1.0

=== attic/Makefile ===
TOP=.

include $(TOP)/Makefile.inc

DIRS=minigallium etnaviv driver fb fb_rawshader replay test2d utils

# only needed for reverse engineering/dumping
# this needs a current EGL+OpenGL ES2 driver
# use "make rev"
DIRS_REV=egl

.PHONY: all clean install rev $(DIRS) $(DIRS_REV)
.NOTPARALLEL:

all: CMD = all
all: $(DIRS)

rev: CMD = all
rev: $(DIRS_REV)

$(DIRS) $(DIRS_REV):
	$(MAKE) $(CMD) -C $@

install: CMD = install
install: $(DIRS)

clean: CMD = clean
clean: $(DIRS) $(DIRS_REV)

=== envytools/CMakeLists.txt ===
project(ENVYTOOLS C)
cmake_minimum_required(VERSION 2.6)
enable_testing()

SET(CMAKE_C_FLAGS "-g -O2 -Wall")

include_directories(include)

add_subdirectory(util)
add_subdirectory(rnn)

install(DIRECTORY include/ DESTINATION include/envytools)
install(DIRECTORY rnndb DESTINATION share)
install(DIRECTORY hwdocs DESTINATION share/doc/envytools)
install(FILES README DESTINATION share/doc/envytools)

=== attic/cl/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I../resources 
CFLAGS += $(COMMON_FLAGS)
CXXFLAGS += $(COMMON_FLAGS) 
LDFLAGS += 

GL_LIBS = $(PLATFORM_CL_LIBS)
TARGETS = hello 
LIB_OBJS = ../lib/elf_hook.o ../lib/flightrecorder.o ../lib/viv_hook.o 

all: $(TARGETS)

clean:
	rm -f *.o ../lib/*.o
	rm -f $(TARGETS) ${COMPANION_OBJS}

hello: hello.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

=== attic/driver/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -DRAWSHADER
LDFLAGS +=
DRIVER_OBJS = \
	      etna_asm.o \
	      etna_blend.o \
	      etna_clear_blit.o \
	      etna_compiler.o \
	      etna_fence.o \
	      etna_pipe.o \
	      etna_rasterizer.o \
	      etna_resource.o \
	      etna_screen.o \
	      etna_shader.o \
	      etna_surface.o \
	      etna_texture.o \
	      etna_transfer.o \
	      etna_zsa.o

TARGETS = libetnadriver.a

all: $(TARGETS)

clean:
	rm -f $(DRIVER_OBJS)
	rm -f $(TARGETS) *.o

libetnadriver.a: $(DRIVER_OBJS)
	$(AR) rcs $@ $^

=== attic/egl/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I../resources 

ifeq ($(USE_DIRECTFB),1)
	DIRECTFB_FLAGS = -DLINUX -DEGL_API_DFB -I/usr/include/directfb/
else
	DIRECTFB_FLAGS =
endif

CFLAGS += $(COMMON_FLAGS) $(DIRECTFB_FLAGS)
CXXFLAGS += $(COMMON_FLAGS) $(DIRECTFB_FLAGS)
LDFLAGS += -ldl

GL_LIBS = $(PLATFORM_GL_LIBS)
TARGETS = cube cube_companion ps_sandbox eglinfo cube_companion_idx simple_texture_cubemap displacement
TARGETS_X11 = cube_x11 particle_system_x11
LIB_OBJS = ../lib/esTransform.o ../lib/esShapes.o ../lib/elf_hook.o ../lib/flightrecorder.o ../lib/viv_hook.o ../lib/write_bmp.o ../lib/dump_gl_screen.o ../lib/eglutil.o
COMPANION_OBJS = ../resources/companion_array.o ../resources/companion_mesh.o ../resources/companion_texture.o

all: $(TARGETS)

all_x11: $(TARGETS_X11)

clean:
	rm -f *.o ../lib/*.o
	rm -f $(TARGETS) $(COMPANION_OBJS) $(TARGETS_X11)

cube: cube.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

displacement: displacement.o ../lib/esShapes.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)


cube_companion: cube_companion.o $(LIB_OBJS) $(COMPANION_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

cube_companion_idx: cube_companion_idx.o $(LIB_OBJS) $(COMPANION_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

ps_sandbox: ps_sandbox.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

simple_texture_cubemap: simple_texture_cubemap.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

eglinfo: eglinfo.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

stencil_test: stencil_test.o ${LIB_OBJS}
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS)

cube_x11: cube_x11.o ../lib/esUtil.o ../lib/esWindow.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS) -lX11

particle_system_x11: particle_system_x11.o ../lib/esUtil.o ../lib/esWindow.o ../lib/esShader.o $(LIB_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(GL_LIBS) $(LDFLAGS) -lX11

=== attic/etnaviv/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS +=
#-DDEBUG
LDFLAGS +=
ETNAVIV_OBJS = etna.o viv.o viv_profile.o etna_bo.o etna_queue.o etna_tex.o etna_fb.o etna_rs.o

ifeq ($(ETNAVIV_HOOK), 1)
# Define ETNAVIV_HOOK=1 to enable hook mechanism
# fdr will be written to ETNAVIV_FDR environment variable
COMMON_FLAGS += -I../util -DETNAVIV_HOOK
ETNAVIV_OBJS += ../lib/viv_hook.o ../lib/flightrecorder.o ../lib/elf_hook.o
endif

ifeq ($(ETNAVIV_PROFILER), 1)
# Define ETNAVIV_PROFILER=1 if the kernel was built with VIVANTE_PROFILER
# enabled
COMMON_FLAGS += -DVIVANTE_PROFILER=1
endif

ifeq ($(ETNAVIV_DEBUG), 1)
COMMON_FLAGS += -DDEBUG=1
endif

TARGETS = libetnaviv.a

all: $(TARGETS)

clean:
	rm -f $(ETNAVIV_OBJS)
	rm -f $(TARGETS) *.o

libetnaviv.a: $(ETNAVIV_OBJS)
	$(AR) rcs $@ $^

test: test.o ../driver/etna_asm.o ../driver/etna_shader.o libminigallium.a
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== attic/fb/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I$(TOP)/resources -I$(TOP)/driver
CFLAGS += -DDUMP
CXXFLAGS += 
LDFLAGS +=  

TARGETS = rotate_cube alpha_blend cube_companion cubemap_sphere particle_system etna_gears stencil_test displacement mip_cube viv_profile ps_sandbox \
	  downsample_test
COMPANION_OBJS = ../resources/companion_array.o ../resources/companion_mesh.o ../resources/companion_texture.o
ETNA_OBJS = ../lib/fbdemos.o ../lib/etna_bswap.o ../driver/libetnadriver.a ../minigallium/libminigallium.a ../etnaviv/libetnaviv.a

all: $(TARGETS)

clean:
	rm -f *.o ../lib/*.o ../resources/*.o
	rm -f $(TARGETS)

rotate_cube: rotate_cube.o ../lib/write_bmp.o $(ETNA_OBJS) ../lib/esTransform.o
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

mip_cube: mip_cube.o ../lib/write_bmp.o ../lib/esTransform.o ../lib/dds.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cubemap_sphere: cubemap_sphere.o ../lib/write_bmp.o ../lib/esTransform.o ../lib/dds.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_companion: cube_companion.o ../lib/write_bmp.o ../lib/esTransform.o $(COMPANION_OBJS) $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

alpha_blend: alpha_blend.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

stencil_test: stencil_test.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

particle_system: particle_system.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

displacement: displacement.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

etna_gears: etna_gears.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

viv_profile: viv_profile.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

viv_gpu_top: viv_gpu_top.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

ps_sandbox: ps_sandbox.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

downsample_test: downsample_test.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o ../lib/esShapes.o $(COMPANION_OBJS) $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== attic/fb_old/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I$(TOP)/resources -I$(TOP)/driver
CFLAGS += $(COMMON_FLAGS)
CXXFLAGS += $(COMMON_FLAGS) 
LDFLAGS += -lm ../driver/libetnadriver.a ../minigallium/libminigallium.a ../etnaviv/libetnaviv.a

TARGETS = fbtest etna_test rotate_cube cube_companion rstests mip_cube_raw
COMPANION_OBJS = ../resources/companion_array.o ../resources/companion_mesh.o ../resources/companion_texture.o
ETNA_OBJS = ../lib/etna_bswap.o ../lib/fbdemos.o

all: cube_companion_msaa

clean:
	rm -f *.o ../lib/*.o
	rm -f $(TARGETS)

fbtest: fbtest.o ../lib/write_bmp.o $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

etna_test: etna_test.o ../lib/write_bmp.o $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

rotate_cube: rotate_cube.o ../lib/write_bmp.o $(ETNA_OBJS) ../lib/esTransform.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

mip_cube_raw: mip_cube_raw.o ../lib/write_bmp.o ../lib/esTransform.o ../lib/dds.o $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_companion_msaa: cube_companion.o ../lib/write_bmp.o ../lib/esTransform.o $(COMPANION_OBJS) $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

rstests: rstests.o ../lib/write_bmp.o ../lib/esTransform.o $(COMPANION_OBJS) $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== attic/fb_rawshader/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I$(TOP)/resources -I$(TOP)/driver
CFLAGS += -DDUMP
CXXFLAGS += 
LDFLAGS +=

TARGETS = mip_cube cubemap_sphere stencil_test alpha_blend cube_companion particle_system displacement etna_gears rotate_cube
COMPANION_OBJS = ../resources/companion_array.o ../resources/companion_mesh.o ../resources/companion_texture.o
ETNA_OBJS = ../lib/fbdemos.o ../lib/etna_bswap.o ../lib/etna_rawshader.o ../driver/libetnadriver.a ../minigallium/libminigallium.a ../etnaviv/libetnaviv.a

all: $(TARGETS)

clean:
	rm -f *.o ../lib/*.o ../resources/*.o
	rm -f $(TARGETS)

rotate_cube: rotate_cube.o ../lib/write_bmp.o $(ETNA_OBJS) ../lib/esTransform.o
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

mip_cube: mip_cube.o ../lib/write_bmp.o ../lib/esTransform.o ../lib/dds.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cubemap_sphere: cubemap_sphere.o ../lib/write_bmp.o ../lib/esTransform.o ../lib/dds.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_companion: cube_companion.o ../lib/write_bmp.o ../lib/esTransform.o $(COMPANION_OBJS) $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

alpha_blend: alpha_blend.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

stencil_test: stencil_test.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

particle_system: particle_system.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

displacement: displacement.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

etna_gears: etna_gears.o ../lib/write_bmp.o ../lib/esUtil.o ../lib/esTransform.o ../lib/esShapes.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== attic/minigallium/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -Iauxiliary -Iinclude -DDEBUG
LDFLAGS +=
GALLIUM_OBJS = auxiliary/tgsi/tgsi_dump.o \
	auxiliary/tgsi/tgsi_iterate.o \
	auxiliary/tgsi/tgsi_strings.o \
	auxiliary/tgsi/tgsi_info.o \
	auxiliary/tgsi/tgsi_parse.o \
	auxiliary/tgsi/tgsi_text.o \
	auxiliary/tgsi/tgsi_build.o \
	auxiliary/tgsi/tgsi_sanity.o \
	auxiliary/tgsi/tgsi_ureg.o \
	auxiliary/tgsi/tgsi_util.o \
	auxiliary/util/u_blitter.o \
	auxiliary/util/u_debug.o \
	auxiliary/util/u_format.o \
	auxiliary/util/u_format_etc.o \
	auxiliary/util/u_format_latc.o \
	auxiliary/util/u_format_other.o \
	auxiliary/util/u_format_rgtc.o \
	auxiliary/util/u_format_s3tc.o \
	auxiliary/util/u_format_srgb.o \
	auxiliary/util/u_format_table.o \
	auxiliary/util/u_format_tests.o \
	auxiliary/util/u_format_yuv.o \
	auxiliary/util/u_format_zs.o \
	auxiliary/util/u_surface.o \
	auxiliary/util/u_tile.o \
	auxiliary/util/u_transfer.o \
	auxiliary/util/u_slab.o \
	auxiliary/util/u_helpers.o \
	auxiliary/util/u_framebuffer.o \
	auxiliary/util/u_simple_shaders.o \
	auxiliary/util/u_bitmask.o \
	auxiliary/util/u_debug_refcnt.o \
	auxiliary/util/u_debug_describe.o \
	auxiliary/util/u_debug_stack.o \
	auxiliary/util/u_debug_memory.o \
        auxiliary/util/u_debug_symbol.o \
	auxiliary/util/u_upload_mgr.o \
	auxiliary/util/u_draw.o \
	auxiliary/util/u_draw_quad.o \
	auxiliary/util/u_hash_table.o \
	auxiliary/util/u_texture.o \
	auxiliary/util/u_vbuf.o \
	auxiliary/util/u_gen_mipmap.o \
	auxiliary/os/os_misc.o \
	auxiliary/cso_cache/cso_hash.o \
	auxiliary/cso_cache/cso_cache.o \
	auxiliary/cso_cache/cso_context.o \
	auxiliary/translate/translate.o \
	auxiliary/translate/translate_cache.o \
	auxiliary/translate/translate_generic.o \
	auxiliary/translate/translate_sse.o \
        targets/graw-null/graw_util.o

TARGETS = libminigallium.a

all: $(TARGETS)

clean:
	rm -f $(GALLIUM_OBJS)
	rm -f $(TARGETS) *.o

libminigallium.a: $(GALLIUM_OBJS)
	$(AR) rcs $@ $^

test: test.o ../driver/etna_asm.o ../driver/etna_shader.o libminigallium.a
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== attic/replay/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I$(TOP)/resources -I$(TOP)/driver
LDFLAGS_ETNA = $(LDFLAGS) -L$(TOP)/etnaviv -letnaviv

TARGETS =
TARGETS_GC800 = cube cube_companion cube_etna ps_sandbox_etna etna_test cube_etna2
TARGETS_GC880 = cube_etna2_gc880 empty_screen_gc880 cube_gc880 cube_companion_gc880 cube_etna_gc880
COMPANION_OBJS = ../resources/companion_array.o ../resources/companion_mesh.o ../resources/companion_texture.o
ETNA_OBJS = ../lib/etna_bswap.o

all: $(TARGETS)

clean:
	rm -f *.o ../lib/*.o ../driver/*.o
	rm -f $(TARGETS) $(TARGETS_GC800) $(TARGETS_GC2000)

# These specifically replay command streams for gc800, don't build them by default
gc800: $(TARGETS_GC800)

# These specifically replay command streams for gc880, don't build them by default
gc880: $(TARGETS_GC880)

empty_screen_gc880: empty_screen_gc880.o ../lib/write_bmp.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_gc880: cube_gc880.o ../lib/write_bmp.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube: cube.o ../lib/write_bmp.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_companion: cube_companion.o viv_raw.o ../lib/write_bmp.o $(COMPANION_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_companion_gc880: cube_companion_gc880.o ../lib/write_bmp.o viv_raw.o $(COMPANION_OBJS)
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_etna: cube_etna.o ../lib/write_bmp.o ../lib/esTransform.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_etna_gc880: cube_etna_gc880.o ../lib/write_bmp.o ../lib/esTransform.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

cube_etna2: cube_etna2.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS_ETNA)

cube_etna2_gc880: cube_etna2_gc880.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS_ETNA)

ps_sandbox_etna: ps_sandbox_etna.o ../lib/write_bmp.o ../lib/esTransform.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

etna_test: etna_test.o ../lib/write_bmp.o ../lib/esTransform.o $(ETNA_OBJS)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS_ETNA)

reset: reset.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

viv_info: viv_info.o viv_raw.o
	$(CC) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== attic/test2d/Makefile ===
TOP=..

include $(TOP)/Makefile.inc

COMMON_FLAGS += -I$(TOP)/resources -I$(TOP)/driver
CFLAGS += -DDUMP
CXXFLAGS += 
LDFLAGS += -lpng

TARGETS = clear2d line2d bitblt2d_from_stream line2d_patterned bitblt2d \
	  bitblt2d_palette filterblt2d stretchblt2d filterblt2d_fromplanar \
	  bitblt2d_alpha bitblt2d_rotate

ETNA_OBJS = ../lib/write_bmp.o ../lib/etna_bswap.o ../etnaviv/libetnaviv.a ../lib/read_png.o

all: $(TARGETS)

clean:
	rm -f *.o ../lib/*.o ../resources/*.o
	rm -f $(TARGETS)

clear2d: clear2d.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

line2d: line2d.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

line2d_patterned: line2d_patterned.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

bitblt2d_from_stream: bitblt2d_from_stream.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

bitblt2d_palette: bitblt2d_palette.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

filterblt2d: filterblt2d.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

filterblt2d_fromplanar: filterblt2d_fromplanar.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

bitblt2d_rotate: bitblt2d_rotate.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

bitblt2d: bitblt2d.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

bitblt2d_alpha: bitblt2d_alpha.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

stretchblt2d: stretchblt2d.o $(ETNA_OBJS)
	$(CXX) $(CFLAGS) -o $@ $^  $(LDFLAGS)

=== debian/changelog ===
libetnaviv-headers (1.0-r1) buster; urgency=low

  * Initial release

 -- Jookia <contact@jookia.org>  Sun, 29 Mar 2020 18:08:22 +1100

=== debian/control ===
Source: libetnaviv-headers
Section: devel
Priority: optional
Maintainer: Jookia <contact@jookia.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.3.0
Homepage: https://github.com/novena-next/etna_viv

Package: libetnaviv-headers
Architecture: all
Depends: ${misc:Depends}
Description: Headers used to build xf86-video-armada
 This package provides the headers required by xf86_video_armada
 to build its etnadrm package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

override_dh_prep:
	mkdir -p debian/tmp/libetnaviv/src/etnaviv
	mkdir -p debian/tmp/libetnaviv/attic/etnaviv
	cp -r src/etnaviv/*.h debian/tmp/libetnaviv/src/etnaviv
	cp -r attic/etnaviv/*.h debian/tmp/libetnaviv/attic/etnaviv

# main packaging script based on dh7 syntax
%:
	dh $@
